Author Topic: php 7.0  (Read 859 times)

philmi

  • Newbie
  • *
  • Posts: 2
    • View Profile
php 7.0
« on: January 14, 2016, 06:55:02 am »
Hello
I don't know if Feng Office is compatible with php 7 yet or if it will be soon.
I haven't seen any description on this on the roadmap.
I tried to install Feng Office on php 7 and I have the problem below on the second step of the installation

Step 2: Environment checks

OK: PHP version is 7.0.0
Error: 'mysql' extension is not loaded
OK: 'gd' extension is loaded
OK: 'simplexml' extension is loaded
OK: /config is writable
OK: /cache is writable
OK: /upload is writable
OK: /tmp is writable


This appear with Feng 3.0.4.7 installation
Of course, there is PDO support enabled
PDO Driver for MySQL   enabled
Client API version   5.1.63


Well, if someone can give me info on this
Thank's
« Last Edit: January 14, 2016, 10:18:17 am by philmi »

philmi

  • Newbie
  • *
  • Posts: 2
    • View Profile
Re: php 7.0
« Reply #1 on: January 15, 2016, 05:44:43 am »
I had an answer from Conrado ViƱa, CEO at Fengoffice, yesterday.
At this time, Fengoffice have not been tested with php7.
To be continued so
Philippe

mwestre

  • Newbie
  • *
  • Posts: 1
    • View Profile
Re: php 7.0
« Reply #2 on: May 09, 2016, 06:15:19 am »
Hi,

I have the same problem.
Is there any update regarding this matter?
Running a new 16.04 Ubuntu install, with php 7 installed.

OK: PHP version is 7.0.4-7ubuntu2
Error: 'mysql' extension is not loaded
OK: 'gd' extension is loaded
OK: 'simplexml' extension is loaded
OK: /config is writable
OK: /cache is writable
OK: /upload is writable
OK: /tmp is writable

Some feedback would be greatly appreciated!

steveg

  • Full Member
  • ***
  • Posts: 167
    • View Profile
Re: php 7.0
« Reply #3 on: May 10, 2016, 03:20:56 pm »
php7 is not currently supported, so you will have to roll back to 5.4+ for the FO installation.